(*
Copyright © 2006 Logan Rockmore

This script gets the count of unread messages in the Inbox from Mail.app

*)

global MailAppName
set MailAppName to "Mail"
-- first check if Apple Mail is running
isMailAppRunning()
-- if it isn't running quit returning -1 to the caller
if result = false then return {-1}

tell application "Mail"
	
	set unreadCount to unread count of inbox
	return {unreadCount}
	
end tell

on isMailAppRunning()
	
	tell application "Finder"
		set ProcessList to name of processes
	end tell
	
	set x2 to (length of ProcessList)
	
	repeat with x1 from 1 to x2
		if (item (x1) of ProcessList as string) = MailAppName then
			return true
		end if
	end repeat
	
	return false
	
end isMailAppRunning